Subject: bug#72754: 31.0.50; Add a pcase-pattern-let?

From: Stefan Monnier <[email-masked]>
Date: Thu, 22 Aug 2024 09:38:04 -0400

> wouldn't it be a significant improvement and maybe a low hanging fruit
> to add a macro allowing to add local pattern definitions?  I.e., like
> `macrolet' by for pcase patterns?

I don't know how important/useful it would be, but yes it would make
a lot of sense.  As a matter of fact, it's a general pattern which
recurs in all the packages which provide an extensible domain specific
language (peg.el, pcase.el, bindat.el, rx.el, gv.el, ...) and I'd like
to find a general solution.

It can also make sense to allow defining a set of extensions at one
place, and then make them available locally.

        Stefan